Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.store
Interface DeploymentUnitDAO

All Known Implementing Classes:
  DeploymentUnitDaoImpl, DeploymentUnitDaoImpl

    public interface DeploymentUnitDAO

DAO interface for a "deployment unit", a collection of processes deployed as a single unit.

Method Summary
`ProcessConfDAO` | `createProcess(javax.xml.namespace.QName pid, javax.xml.namespace.QName type, long version)`
`void` | `delete()` Delete this deployment unit (deletes all the children).
`java.util.Date` | `getDeployDate()` Get the date/time the DU was deployed.
`java.lang.String` | `getDeployer()` Get the userid of the user doing the deploying.
`java.lang.String` | `getDeploymentUnitDir()` Get the deployment unit directory path.
`java.lang.String` | `getName()` Get the name of the deployment unit.
`ProcessConfDAO` | `getProcess(javax.xml.namespace.QName pid)`
`java.util.Collection<? extends ProcessConfDAO>` | `getProcesses()` Get the collection of processes that are deployed as part of this deployment unit.
`void` | `setDeploymentUnitDir(java.lang.String dir)`

Method Detail

### getName

    java.lang.String getName()

  Get the name of the deployment unit.

  Returns:
    du name

### getDeploymentUnitDir

    java.lang.String getDeploymentUnitDir()

  Get the deployment unit directory path.

  Returns:
    deployment unit directory path

### setDeploymentUnitDir

    void setDeploymentUnitDir(java.lang.String dir)

### getProcesses

    java.util.Collection<? extends ProcessConfDAO> getProcesses()

  Get the collection of processes that are deployed as part of this deployment unit.

  Returns:

### getDeployDate

    java.util.Date getDeployDate()

  Get the date/time the DU was deployed.

  Returns:

### getDeployer

    java.lang.String getDeployer()

  Get the userid of the user doing the deploying.

  Returns:

### delete

    void delete()

  Delete this deployment unit (deletes all the children).

### createProcess

    ProcessConfDAO createProcess(javax.xml.namespace.QName pid,
                                 javax.xml.namespace.QName type,
                                 long version)

### getProcess

    ProcessConfDAO getProcess(javax.xml.namespace.QName pid)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD